Summary:      MP3 audio player with theme user interface and streaming support
Name:         zinf
Version:      2.2.5
Release:      6mdk
License:      GPL
Group:        Sound
Url:          http://www.zinf.org
Source:       %name-%version.tar.bz2
Patch:	      zinf-2.2.5-new-musicbrainz.patch.bz2
BuildRoot:    %_tmppath/%name-buildroot
BuildRequires: libmusicbrainz-devel
BuildRequires: libid3lib-devel 
BuildRequires: libvorbis-devel
BuildRequires: libgdbm-devel
BuildRequires: libncurses-devel
BuildRequires: esound-devel
BuildRequires: libarts-devel
BuildRequires: gtk2-devel
BuildRequires: libboost-devel
Provides: freeamp
Obsoletes: freeamp

%description
Zinf is an extensible, cross-platform audio player. It features an
optimized version of the GPLed Xing MPEG decoder which makes it one of the
fastest and best sounding players available. Zinf provides a number of the
most common features users have come to expect in a clean, easy to use
interface.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
chmod 644 AUTHORS COPYING INSTALL NEWS README

%build
%define __libtoolize true
%configure2_5x \
%ifarch %{ix86}
	--enable-cmdline
%else
	--disable-x86opts
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name
strip %buildroot%_libdir/zinf/plugins/* 
(cd $RPM_BUILD_ROOT
mkdir -p usr/lib/menu
cat > usr/lib/menu/%name <<EOF
?package(%name):\
command="%name"\
title="Zinf"\
longtitle="Audio player"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"
EOF
) 
%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL NEWS README
%_bindir/*
%_libdir/%name 
%_datadir/%name
%_menudir/*

%changelog
* Fri Feb 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.2.5-6mdk
- drom dependany on libgpm

* Wed Dec  8 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.5-5mdk
- rebuild for libgdbm3

* Mon Jun  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.5-4mdk
- rebuild for new g++

* Fri Apr 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.5-3mdk
- patch for new musicbrainz

* Mon Feb 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.5-2mdk
- fix buildrequires
- fix ncurses plugin build

* Sun Feb 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.5-1mdk
- remove alsa build workaround
- don't run libtoolize
- fix file list
- fix buildrequires
- new version

* Wed Jan 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.2.4-4mdk
- fix alsa build

* Wed Oct  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.4-3mdk
- fix buildrequires

* Thu Aug 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.4-2mdk
- fix buildrequires

* Mon Aug  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.4-1mdk
- manually strip the plugins
- fix doc section
- fix installation
- new version

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.3-4mdk
- Rebuilt against latest musicbrainz

* Fri Apr  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.3-3mdk
- new id3lib

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.3-2mdk
- fix buildrequires

* Tue Feb 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.3-1mdk
- fix doc permissions
- enable alsa
- drop patch
- new version

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.1-1mdk
- new release

* Mon Nov 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-8mdk
- rebuild wiht new id3lib

* Mon Nov  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-7mdk
- rebuild with new id3lib

* Tue Oct 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-6mdk
- patch 0 : dynamilcally link with id3lib rather than statically

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-5mdk
- gcc 3.2-0.3mdk build

* Wed Aug  7 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-4mdk
- gcc 3.2 build

* Tue Jul 23 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-3mdk
- automatic dependancies

* Mon Jul 22 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-2mdk
- rebuilf for new vorbis libs

* Tue Jun 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.0-1mdk
- freeamp is dead, viva el zinf
- new release
- s/(cd XYZ; tar)/tar -C XYZ/

* Wed May 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-4mdk
- rebuild againt new libstdc++
- enable cmdline ( will see... )

* Mon May 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-3mdk
- rebuild against new libmusicbrainz
- sadly we need to disable-alsa until freeamp is ported to 0.9 alsa

* Tue Jan 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-2mdk
- icon

* Thu Dec 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1

* Mon Jul 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-2mdk
- rebuild

* Wed Apr 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 2.1.0
	- gcc 2.96
	- fixed buildrequires

* Tue Oct 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1-0.1mdk
- new release
- spec cleaning
- readd ALSA support
- SMP build if availlable

* Mon Sep 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.8-1mdk
- updated to 2.0.8

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.7-2mdk
- add menu entry

* Sat Aug 12 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.0.7-1mdk
- rebuilt using macros

* Sat Jun 17 2000 John Johnson <jjohnson@linux-mandrake.com>
- Made mandrake rpm
